@echo off
cd..

:Menu
cls
echo.
echo		APSP1 - The Final Threat
echo		========================
echo.
echo		please select an option:
echo.
echo		1. GLQuake
echo		2. WinQuake
echo.
echo		3. Quit
echo.
choice /c:123

if errorlevel 3 goto Quit
if errorlevel 2 goto WinQuake
if errorlevel 1 goto GLQuake



:GLQuake
echo.
echo		select skill level:
echo.
echo		0. Skill 0 (easy)
echo		1. Skill 1 (normal)
echo		2. Skill 2 (hard)
echo		3. Skill 3 (nightmare!)
echo.

choice /c:0123

if errorlevel 4 goto gl3
if errorlevel 3 goto gl2
if errorlevel 2 goto gl1
if errorlevel 1 goto gl0

:gl0
glquake -game apsp1 +skill 0 +map apsp1
pause
goto Menu

:gl1
glquake -game apsp1 +skill 1 +map apsp1
pause
goto Menu

:gl2
glquake -game apsp1 +skill 2 +map apsp1
pause
goto Menu

:gl3
glquake -game apsp1 +skill 3 +map apsp1
pause
goto Menu



:WinQuake
echo.
echo		select skill level:
echo.
echo		0. Skill 0 (easy)
echo		1. Skill 1 (normal)
echo		2. Skill 2 (hard)
echo		3. Skill 3 (nightmare!)
echo.

choice /c:0123

if errorlevel 4 goto win3
if errorlevel 3 goto win2
if errorlevel 2 goto win1
if errorlevel 1 goto win0

:win0
winquake -game apsp1 +skill 0 +map apsp1
pause
goto Menu

:win1
winquake -game apsp1 +skill 1 +map apsp1
pause
goto Menu

:win2
winquake -game apsp1 +skill 2 +map apsp1
pause
goto Menu

:win3
winquake -game apsp1 +skill 3 +map apsp1
pause
goto Menu



:Quit
echo.
echo		Thanks for playing APSP1.
echo.
echo		http://www.planetquake.com/cesspit
echo		than@planetquake.com
echo.